//PowerPC 403GA Interrupt number define

enum{	PPCINT_CORE_RESET,							//0
		PPCINT_CHIP_RESET,
		PPCINT_SYSTEM_RESET,
		PPCINT_CRITICAL_INTERRUPT_PIN_EXCEPTION,
		PPCINT_MACHINE_CHECK_EXCEPTION,				//4
		PPCINT_PROTECTION_EXCEPTION,
		PPCINT_EXTERNAL_INTERRUPT_EXCEPTION,
		PPCINT_ALIGNMENT_ERROR,
		PPCINT_PROGRAM_EXCEPTION,					//8
		PPCINT_SYSTEM_CALL,
		PPCINT_PROGRAMMABLE_INTERVAL_TIMER,			//a
		PPCINT_FIXED_INTERVAL_TIMER,
		PPCINT_WATCHDOG_TIMER,						//c
		PPCINT_DEBUG_EXCEPTION,
		PPCINT_MAX								};

#define		MSR_LE	0x00000001	//31
//#define	MSR_??	0x00000002	//30
#define		MSR_PX	0x00000004	//29
#define		MSR_PE	0x00000008	//28
//#define	MSR_??	0x00000010	//27
//#define	MSR_??	0x00000020	//26
//#define	MSR_??	0x00000040	//25
//#define	MSR_??	0x00000080	//24
//#define	MSR_??	0x00000100	//23
#define		MSR_DE	0x00000200	//22
//#define	MSR_??	0x00000400	//21
//#define	MSR_??	0x00000800	//20
#define		MSR_ME	0x00001000	//19
//#define	MSR_??	0x00002000	//18
#define		MSR_PR	0x00004000	//17
#define		MSR_EE	0x00008000	//16
#define		MSR_ILE	0x00010000	//15
#define		MSR_CE	0x00020000	//14
#define		MSR_WE	0x00040000	//13
//#define	MSR_??	0x00080000	//12
//#define	MSR_??	0x00100000	//11
//#define	MSR_??	0x00200000	//10
//#define	MSR_??	0x00400000	//09
//#define	MSR_??	0x00800000	//08
//#define	MSR_??	0x01000000	//07
//#define	MSR_??	0x02000000	//06
//#define	MSR_??	0x04000000	//05
//#define	MSR_??	0x08000000	//04
//#define	MSR_??	0x10000000	//03
//#define	MSR_??	0x20000000	//02
//#define	MSR_??	0x40000000	//01
//#define	MSR_??	0x80000000	//00
