#include	"ppc403ga.h"

#ifdef	_DEBUG
#include	<stdio.h>
#include	"../../window/console/console.h"
extern	CONSOLE	con;
#endif



void	PPC403GA::loop(void)
{
#ifdef	_DEBUG
	char			buf[0x100];
#endif

loop:
	if(r[VSR]&VSR_PROCESSOR_ACTIVE){
		interrupt();
		intprt();
#ifdef	_DEBUG
		if(r[VSR]&VSR_DISP_REGISTER)	reg_stat();
		if(r[VSR]&VSR_ENABLE_BREAKPOINT){
			unsigned long	x;
			for(x=0;x!=BPL_MAX;x++)
				if(BPL[x]==r[PC]){
					r[VSR]&=~VSR_PROCESSOR_ACTIVE;
					sprintf(buf,"Break @ %08X\n",r[PC]);	CO(buf);	}
		}
#endif

//		if(r[VRR_TBCO]==2){								//SPR_TBxx count up
											r[SPR_TBLO]++;
			if(r[SPR_TBLO]==0x00000000){	r[SPR_TBHI]++;
				if(r[SPR_TBHI]==0x01000000)	r[SPR_TBHI]=0;	}
//											r[VRR_TBCO]=0;
//		}else								r[VRR_TBCO]++;
		goto loop;
	}

	if(r[VSR]&VSR_1STEP_TRACE){
		r[VSR]&=~VSR_1STEP_TRACE;
		interrupt();
		intprt();
#ifdef	_DEBUG
		if(r[VSR]&VSR_DISP_REGISTER)	reg_stat();
#endif

//		if(r[VRR_TBCO]==2){								//SPR_TBxx count up
			if(r[SPR_TBLO]==0xffffffff)	r[SPR_TBHI]++;
										r[SPR_TBLO]++;
										r[VRR_TBCO]=0;
//			}
//		else							r[VRR_TBCO]++;

		goto loop;
	}

	Sleep(0);	goto loop;
}
