#include	<windows.h>
#include	"ppc403ga.h"



void	PPC403GA::bind(	unsigned short	index,
						unsigned short	length,
						unsigned long	type,
						unsigned long	mask,
						DEVICE *		device,
#ifdef	DYNAMIC_RECOMPILE
						unsigned char *	mem,
						unsigned char *	drc		)
#else
						unsigned char *	mem		)
#endif
{
	unsigned long	x;

			mat[index].type		=type;
			mat[index].mask		=mask;
			mat[index].device	=device;
			mat[index].mem		=mem;
#ifdef	DYNAMIC_RECOMPILE
			mat[index].drc		=drc;
#endif

	if(length!=1)
		for(x=1;x!=length;x++){
			mat[index+x]		=mat[index];
#ifdef	DYNAMIC_RECOMPILE
			mat[index+x].drc	+=0x10000*x*DRC_UNIT;
#endif
			mat[index+x].mem	+=0x10000*x;	}
}



void	PPC403GA::shadow(void)
{	unsigned long	x;

	for(x=0x0000;x!=0x1000;x++)	mat[0x0000+x]=mat[0x8000+x];
	for(x=0x0000;x!=0x1000;x++)	mat[0x7000+x]=mat[0xf000+x];	}
