#ifndef		_AZU_PPC403GA_
#define		_AZU_PPC403GA_

#include	<windows.h>
#include	"../../device/mat.h"
#include	"dbg_def.h"
#include	"macros.h"
#include	"reg_def.h"
#include	"int_def.h"


class	PPC403GA
{			void			intprt(unsigned long);
			unsigned long	spr_r(unsigned long);
			void			spr_w(unsigned long,unsigned long);
			unsigned long	dcr_r(unsigned long);
			void			dcr_w(unsigned long,unsigned long);
			void			por(void);
			unsigned long	_code;
#include	"op.h"
			void	(PPC403GA::*opt_fc000000[0x040])(void);
			void	(PPC403GA::*opt_48000003[0x004])(void);
			void	(PPC403GA::*opt_4c0007ff[0x800])(void);
			void	(PPC403GA::*opt_7c0007ff[0x800])(void);
public:
			MAT				mat[0x10000];
			unsigned char	isl[PPCINT_MAX];		//Interrupt State & Level
			unsigned long	r[PPC403GA_32_REG_MAX];
			LARGE_INTEGER	count;
			LARGE_INTEGER	rc_s;					//real		count	sec
			LARGE_INTEGER	rc_p;					//					prev
			LARGE_INTEGER	rc_n;					//					now
			LARGE_INTEGER	vc_x;					//virtual	count	max
#include	"dbg_pub.h"

			unsigned char	r1(unsigned long);
			unsigned short	r2(unsigned long);
			unsigned long	r4(unsigned long);
			void			w1(unsigned long,unsigned char);
			void			w2(unsigned long,unsigned short);
			void			w4(unsigned long,unsigned long);
			void			f1(unsigned long,unsigned char);
			void			f2(unsigned long,unsigned short);
			void			f4(unsigned long,unsigned long);

			void			intprt(void);
			void			i_cr_check_s(unsigned char,	         long,
														         long);
			void			i_cr_check_u(unsigned char,	unsigned long,
														unsigned long);
			unsigned long	mask(unsigned char,unsigned char);

#ifdef	DYNAMIC_RECOMPILE
			void			bind(unsigned short,unsigned short,
								unsigned long,unsigned long,DEVICE *,
								unsigned char *,unsigned char *);
#else
			void			bind(unsigned short,unsigned short,
								unsigned long,unsigned long,DEVICE *,
								unsigned char *);
#endif
			void			shadow(void);

			void			interrupt(void);
			void			init(void);
			void			gic(void);
			void			loop(void);
};

#endif		_AZU_PPC403GA_
