#include	"rti.h"
#include	"../cpu/ppc403ga/ppc403ga.h"

#ifdef	_DEBUG
#include	<stdio.h>
#include	"../window/console/console.h"
extern	CONSOLE				con;
#endif	_DEBUG

extern	PPC403GA	ppc;

extern	char	path_inifile[_MAX_PATH];



void	RTI::init(void)
{	r_time =GetPrivateProfileInt("rti","rate_of_time" ,100,path_inifile);
	r_Vsync=GetPrivateProfileInt("rti","rate_of_Vsync", 16,path_inifile);
	r_Hsync=GetPrivateProfileInt("rti","rate_of_Hsync",150,path_inifile);


//	QueryPerformanceFrequency(&t[C_RESO]);			//Get Resolution
	t[C_RESO].QuadPart=0x01c00000;					//SH2 28MHz base
	t[C_RESO].QuadPart=t[C_RESO].QuadPart*r_time/100;	//bias rate

	t[C_MSEC].QuadPart=t[C_RESO].QuadPart/1000;		//per milli second

	sleep_time=10;
	loop();
}



unsigned long	RTI::clock_check(void)
{
/*
	LARGE_INTEGER	P0,P1,P2,C0,C1,C2;

	QueryPerformanceFrequency(&P0);
	QueryPerformanceCounter(&P1);	C1=ppc.count;
	Sleep(2000);
	QueryPerformanceCounter(&P2);	C2=ppc.count;

	C0.QuadPart=(C2.QuadPart-C1.QuadPart)*
				(P2.QuadPart-P1.QuadPart)/P0.QuadPart;

	return((unsigned long)C0.LowPart);
*/
	return(ppc.vc_x.LowPart);
}
