#include	<windows.h>
#include	"../cpu/mc68k/mc68k.h"
#include	"../cpu/ppc403ga/ppc403ga.h"
#include	"../rti/rti.h"
#include	"../monitor/monitor.h"
#include	"window.h"

		HANDLE				trdh[TRD_MAX];
		DWORD				trdi[TRD_MAX];
		DWORD				trdv[TRD_MAX];
		unsigned long		trdc;
		DWORD WINAPI		trdg(void);

extern	PPC403GA			ppc;
extern	MC68K				m68k;
		RTI					rti;

#ifdef	_DEBUG
extern	MONITOR				mon;
#endif


DWORD WINAPI	trdg(void)
{
	switch(trdc){
		case	TRD_PPC403GA:	trdc++;	ppc.init();				break;
		case	TRD_MC68K:		trdc++;	m68k.init();			break;
		case	TRD_RTI:		trdc++;	rti.init();				break;
#ifdef	_DEBUG
		case	TRD_MONITOR:	trdc++;	mon.shell();			break;
#endif
		default:
			MessageBox(NULL,"invalid thread No.","ERROR",MB_OK|MB_APPLMODAL);
			exit(-1);
	}
	return(1);
}
